<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
    xmlns="urn:schemas-microsoft-com:office:spreadsheet"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
    
    xmlns:o="urn:schemas-microsoft-com:office:office"
    xmlns:x="urn:schemas-microsoft-com:office:excel"
    xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet"
    xmlns:html="http://www.w3.org/TR/REC-html40"
    version="1.0">
    <xsl:strip-space elements="*"/>
    <xsl:output indent="yes"/>
    <xsl:template match="/">
        <xsl:processing-instruction name="mso-application">progid="Excel.Sheet"</xsl:processing-instruction>
        <Workbook
            xmlns="urn:schemas-microsoft-com:office:spreadsheet"
            xmlns:o="urn:schemas-microsoft-com:office:office"
            xmlns:x="urn:schemas-microsoft-com:office:excel"
            xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet"
            xmlns:html="http://www.w3.org/TR/REC-html40">
            <DocumentProperties xmlns="urn:schemas-microsoft-com:office:office">
                <Title>test</Title>
            </DocumentProperties>
            <Worksheet ss:Name="Test">
                <Table x:FullColumns="1" x:FullRows="1" ss:DefaultColumnWidth="51.326732673267323"
                    ss:DefaultRowHeight="12.831683168316831">
                    <xsl:apply-templates
                        select="descendant::document/@* | descendant::document/node()"/>
                </Table>
            </Worksheet>
            <WorksheetOptions xmlns="urn:schemas-microsoft-com:office:excel">
                <FitToPage/>
                <Print>
                    <FitHeight>1</FitHeight>
                    <ValidPrinterInfo/>
                    <PaperSizeIndex>9</PaperSizeIndex>
                    <Scale>100</Scale>
                    <HorizontalResolution>600</HorizontalResolution>
                    <VerticalResolution>600</VerticalResolution>
                </Print>
                <Selected/>
                <ProtectObjects>False</ProtectObjects>
                <ProtectScenarios>False</ProtectScenarios>
            </WorksheetOptions>
        </Workbook>
    </xsl:template>
    <xsl:template match="priceitem">
        <xsl:element name="Row">
            <xsl:for-each select="descendant::text()">
                <xsl:element name="Cell">
                    <Data ss:Type="String">
                        <xsl:apply-templates select="."/>
                    </Data>
                </xsl:element>
            </xsl:for-each>
        </xsl:element>
    </xsl:template>
</xsl:stylesheet>
